#include <stdio.h>
#include <fcntl.h>
#include <unistd.h>
int main(){
	char valeurs[2];
	int sourc_addr=open("/dev/myDrive",O_RDWR | O_SYNC);
	while(1)
	{
		read(sourc_addr,valeurs,2);	
		if(valeurs[0]==0){
			printf("gauche\n");
		}
		else if(valeurs[1]==0){
			printf("droite\n");
		}
		else if(valeurs[2]==0){
			printf("bouton\n");
		}
		else{
		}
		usleep(10000);
	}
	return 0;	
}
